.hotel-website-all-btn {
    background-color: var(--dark);
    background-color: #247D9D;
    font-size: 20px;
    color: white;
    padding: 15px 22px;
    width: fit-content;
    position: relative;
}

.hotel-website-all-btn::before {
    content: "";
    display: block;
    position: absolute;
    z-index: -1;
    background-color: var(--dark);
    background-color: #247D9D;
    right: 0;
    left: 50%;
    height: 100%;
    width: 30px;
    top: 50%;
    transform: translateY(-50%);
    clip-path: polygon(0 0, 0% 100%, 100% 50%);
    transition: .3s;

}

.hotel-website-all-btn:hover.hotel-website-all-btn::before {
    left: 100%;

}

.arrow-btn-img {
    position: absolute;
    height: 60%;
    top: 50%;
    filter: invert();
    opacity: 0;
    transform: translateY(-50%) translateX(-30px);
    margin-left: 10px;
    transition: .3s;
}

.hotel-website-all-btn:hover .arrow-btn-img {
    opacity: 1;
    transform: translateY(-50%) translateX(0px);

}

.hotel-website-all-btn-about {
    font-size: 22px;
    padding: 18px 40px;
    font-stretch: extra-expanded;

}


.dp-btn{
    position: relative;
    z-index: 1;
    padding: 10px;
    padding-top: 12px;
    font-size: 30px;
    color: #fff;
    border-radius: 10px;
    border: 3px solid #fff;
    transition: all ease .5s;
    overflow: hidden;
    background-color: transparent;
    cursor: pointer;
    display: block;
    padding-inline: 30px;
    width: fit-content;
    text-decoration: none;


}
.dp-btn:hover{
    border: 3px solid white;
    /* box-shadow: 0 0 5px white; */
    color: #fff;
    padding-inline-end: 0px;

}

.fa-arrow-right{
    transition: all ease .8s;
}

.dp-btn:hover .fa-arrow-right{
    transform: translateX(100px);
}



@media(max-width:1200px){
    .dp-btn{
        font-size: 24px;
    }
}
@media(max-width:950px){
    .dp-btn{
        font-size:18px;
        padding-left: 30px;
    }
}
@media(max-width:750px){
    .dp-btn{
        font-size:30px;
        padding-left: 40px;
    }
}